Subject: RE: [rohc]How to implement W-LSB in ROHC?

From: [email-masked]
Date: Wed, 17 Nov 2004 11:41:40 -0500

Hi,

I cannot remember the details of U-mode decode logic from the top of my head. Someone else can probably give a good answer.

RE R-mode, I'm not sure which case you're asking. So I just give a broad answer and hopefully it's what you asked.
- If the header pattern remains the same, the compressor will remain in SO state and will not send update packet. One exception is when the RTP SN is close to wrap-around, i.e. close to 64 R-0 packets have been sent since last update. Please see section 5.5.1.2 for detail.
- If the header pattern changes, then the compressor will transit to FO state and send update packets. 

In either case, the compressor in R-mode will handle loss of update packets and ACKs according to secure reference principle, described in section 5.5.

BR, Zhigang

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On 
> Behalf Of ext wool
> Sent: 17 November, 2004 01:24 AM
> To: [email-masked]
> Subject: [rohc]How to implement W-LSB in ROHC?
> 
> 
> ROHCers,
> when i implement rohc,i didn't understand how to do RFC3095 
> rohc 4.5.2 W-LSB 
> encoding,
> May someone give me some examples? ex: how to use W-LSB encoding 
> to do RTP SN?
> 
> for example:
> SN=51=110011  SN=52=110100  SN=53=110101  SN=54=110110
> UO_0_SN=0011  UO_0_SN=0100  UO_0_SN=0101  UO_0_SN=0110
> but in UO_0 packet, it will "update current context of SN"
> and in 5.3.2.2.5
> if use ref_0 decompress SN LSB to get SN curr1,then 
> decompressed packet
> pass CRC
> --> ref_-1 = ref_0, ref_0 = SN_curr1
> in our emample:
> assume ref_0 is 110000(SN = 48)
> SN_curr1 = ref_0 + 0011 = 51
> so, in 5.3.2.2.5,we will get ref_0 = SN_curr1 = 51
> is it right?
> if is not
> how to use UO_0 in 5.3.2.2.5?
> thanks....
> 
> 
> (2)if compressor in Second Order state and in R-MODE,update 
> packet is lost
> (or ACK is lost),how the compressor to do?
> because in U/O-MODE,compressor must be confident...
> what to do can let compressor be confident...?
> 
> --
> Open WebMail Project (http://openwebmail.org)
> ------- End of Forwarded Message -------
> 
> 
> --
> Open WebMail Project (http://openwebmail.org)
> 
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Gustav E" <[email-masked]>
Date: Thu, 18 Nov 2004 11:54:43 +0100

Hi all!

I have a question regarding Simple (Session Initiation Protocol (SIP) 
Extension for Instant Messaging), RFC3428. Is SigComp supposed to be 
mandadory in a Simple implementation? Is SigComp the one and only 
compression idea when talking about Simple?

I've only just started browsing the Simple documents, but haven't been able 
get a clear answer.

Best Regards,
/Gustav E

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Nov 2004 13:04:49 +0100

> compression idea when talking about Simple?

SigComp is certainly applicable to SIMPLE (both the SIP and the MSRP 
parts).
Whether it is mandatory (or the only compression idea) is probably not 
something that the ROHC working group can answer -- this is for SIMPLE 
(and the organizations applying the SIMPLE specifications) to decide.

If widespread use of compressed SIMPLE is foreseen, it would probably 
make sense to at some point do a variant of RFC3485 that includes MSRP, 
PIDF, RPIDF, etc.

Gruesse, Carsten

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 18 Nov 2004 10:12:59 -0500

Nothing in any of the simple specifications mandates the usage of 
sigcomp, nor do I think it should.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com